Bug 1607606 - MDs should dump MDSMap epoch currently being processed at low debug level
Summary: MDs should dump MDSMap epoch currently being processed at low debug level
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 3.0
Hardware: All
OS: All
high
high
Target Milestone: z5
: 3.0
Assignee: Patrick Donnelly
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-23 19:53 UTC by Patrick Donnelly
Modified: 2018-08-13 20:56 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-12.2.4-39.el7cp Ubuntu: ceph_12.2.4-44redhat1
Doc Type: Bug Fix
Doc Text:
MDS now dumps the MDSMap it is processing from the monitors at a low debug setting to assist with evaluating issues in multiple active metadata server configurations.
Clone Of:
Environment:
Last Closed: 2018-08-09 18:27:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 25036 None None None 2018-07-23 19:53:41 UTC
Red Hat Bugzilla 1601138 None None None Never
Red Hat Product Errata RHBA-2018:2375 None None None 2018-08-09 18:28:24 UTC

Internal Links: 1601138

Description Patrick Donnelly 2018-07-23 19:53:42 UTC
Description of problem:

In situations where MDSs are trying to consistently process MDSMap updates, it's useful to know which epoch is being processed by a particular MDS. So, output the epoch at low debugging (1).

Comment 11 errata-xmlrpc 2018-08-09 18:27:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2375


Note You need to log in before you can comment on or make changes to this bug.